# $Revision: 1.19 $, $Date: 2004/12/11 00:26:37 $
Summary:	Grep for mailboxes
Summary(pl):	grep dla skrzynek pocztowych
Name:		mboxgrep
Version:	0.7.9
Release:	2
License:	GPL
Group:		Applications/Text
Source0:	http://dl.sourceforge.net/mboxgrep/%{name}-%{version}.tar.gz
# Source0-md5:	4b256de164b8f094db9ccf0e6386d246
URL:		http://www.mboxgrep.org/
BuildRequires:	bzip2-devel
BuildRequires:	pcre-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mboxgrep is a small utility that scans a mailbox for messages matching
a basic, extended, or Perl-compatible regular expression. Found
messages can be either displayed on standard output, counted or
written to another mailbox. It supports mbox, MH, nnmh, nnml and
Maildir folders.

%description -l pl
mboxgrep to niewielkie narzdzie szukajce w skrzynce pocztowej
wiadomoci pasujcych do podstawowego, rozszerzonego lub perlowego
wyraenia regularnego. Znalezione wiadomoci mog by wywietlane na
standardowym wyjciu, liczone lub zapisywane do innej skrzynki.
mboxgrep obsuguje skrzynki mbox, MH, nnmh, nnml oraz foldery Maildir.

%prep
%setup -q

%build
%configure
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_mandir}/man1}

install	src/mboxgrep $RPM_BUILD_ROOT%{_bindir}
install doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/*info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_infodir}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mboxgrep.spec,v $
Revision 1.19  2004/12/11 00:26:37  ankry
- rel. 2

Revision 1.18  2003/08/25 21:13:40  undefine
- BR: bzip2-devel

Revision 1.17  2003/08/25 08:25:33  leafnode
- updated to 0.7.9

Revision 1.16  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.15  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.12  2003/04/01 10:00:06  areq
- 0.7.8
- update URL

Revision 1.11  2003/03/21 00:22:03  gotar
- cosmetics in desc

Revision 1.10  2002/11/27 22:06:21  juandon
- new %%doc

Revision 1.9  2002/08/06 02:46:18  kloczek
- updated to 0.7.7: mboxgrep can now read files from stdin and few bugfixes
  (for example fixed a bug which caused mboxgrep to coredump on recursive search
  maildirs).

Revision 1.8  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/02 09:01:27  kloczek
- updated to 0.7.5 (recursive search through directories has been reimplemented).

Revision 1.5  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.4  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/06 10:00:28  qboosh
- pl translation, changed Source URL to ftp; release 2

Revision 1.2  2001/12/04 13:29:14  kloczek
- cosmetics.

Revision 1.1  2001/12/04 12:25:38  areq
- init PLD spec
